function onTalk()
	makeUnskippable()
	disableMovement()
	wait()
	if not getFlag("NEO-completed") then
		teleportTo(4168, -1280, "bonus00", "ThinkForABit")
	end

	if getFlag("NEO-completed") then
		teleportTo(6000, -1280, "bonus03", "ThinkForABit")
	end
end

function onEnd()
	enableMovement()
end